//
// Created by lukas on 06.03.21.
//

#ifndef LEDSTRIPINTERFACE_CLOCK_H
#define LEDSTRIPINTERFACE_CLOCK_H

#include <Ticker.h>
#include "Adafruit_NeoPixel.h"
#include "Arduino.h"
#include "LoadAnimator.h"

#define NUMPIXELS 108 // Popular NeoPixel ring size

class Clock {
 private:
  Adafruit_NeoPixel strip{};
  LoadAnimator animator;

  void paintAllwaysOnLeds();
  void printWord(const std::vector<uint8_t>& word,  uint32_t color);
  void setTime(uint8_t hour, uint8_t minute);

  void refreshTime();

 public:
  Clock();
  void init();
  void turnOff();
  void turnOn();

  Ticker refreshTicker;
};


#endif  // LEDSTRIPINTERFACE_CLOCK_H
